#version 330
layout (location = 0) in vec2 a_pos;

uniform vec2 front_mask_min;
uniform vec2 front_mask_max;

void main() {
    gl_Position = vec4(
        (a_pos - front_mask_min) / (front_mask_max - front_mask_min) * 2.0 - 1.0,
        0.0,
        1.0
    );
}
